﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Interactivity;
using Microsoft.Expression.Interactivity;
using Microsoft.Expression.Interactivity.Layout;
using System.Windows.Media.Imaging;
using System.ComponentModel;

namespace SL5Drag
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {

            InitializeComponent();
            //设置左边的ListBox显示的内容项
            this.listBox1.ItemsSource = IphoneIco.instance.getIphoneIcoList();
            string s = string.Empty;
        }
        List<IphoneIco> iphoneList;

        /// <summary>
        /// 标示是否按下鼠标左键
        /// </summary>
        bool leftMouseflag = false;

        /// <summary>
        /// 右边ListBox的结果集合
        /// </summary>
        private static List<IphoneIco> AddiphoneList = new List<IphoneIco>();

        /// <summary>
        /// 左边ListBox的结果集合
        /// </summary>
        public List<IphoneIco> IphoneList
        {
            get { return iphoneList; }
            set { iphoneList = value; }
        }


        private void Image_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            //鼠标在ListBox中按下准备拖出图片的时候，设置leftMouseflag为true，并且设置Image为可见
            leftMouseflag = true;
            Image image=sender as Image;
            this.Img.Source = image.Source;
            Point point = e.GetPosition(null);
            this.Img.SetValue(Canvas.LeftProperty, point.X );
            this.Img.SetValue(Canvas.TopProperty, point.Y - 5.0);
            this.Img.Visibility = Visibility.Visible;
        }


        private void LayoutRoot_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {

            //如果得知鼠标左键松动的位置是右边的ListBox上时则为右边的ListBox添加一列
            Point point =e.GetPosition(null);

            if (point.X > 400 && point.X < 450 && point.Y < 400&& leftMouseflag == true )
            {
                BitmapImage bimg = this.Img.Source as BitmapImage;
                this.Img.Visibility = Visibility.Collapsed;
                AddiphoneList.Add(new IphoneIco()
                {
                    IcoName = "2",
                    IcoImage = bimg
                });
                this.listBox2.ItemsSource = null;
                this.listBox2.ItemsSource = AddiphoneList;
            }
            else
            {
                this.Img.Visibility = Visibility.Collapsed;
                this.Img.Source = null;
            }
            leftMouseflag = false;
        }

        private void LayoutRoot_MouseMove(object sender, MouseEventArgs e)
        {
            //让图片跟随鼠标的移动而移动
                Point point = e.GetPosition(null);
                this.Img.SetValue(Canvas.LeftProperty, point.X);
                this.Img.SetValue(Canvas.TopProperty, point.Y-5.0);
        }
    }
}
